<!DOCTYPE html>
<html class="no-js" lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>At A Glance</title>

    <section layout:fragment="head" class="stylesheet">
        <!-- bootstrap wysihtml5 - text editor -->
        <link rel="stylesheet" th:href="@{/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.min.css}">
    </section>
</head>

<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        At A Glance
        <small>Control panel</small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
        <li class="active">Dashboard</li>
    </ol>
</section>


<section layout:fragment="main" class="content" sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_WAREK2') or hasAuthority('VIEW_KABAG')">

    <div class="row">
        <div class="col-md-12">
            <div class="box">
                <div class="box-header">
                    <div class = 'col-md-6'>

                    </div>
                    <div class = 'col-md-6'>
                        <form method="get">
                            <div class="form-group">
                                <label for="periodeAnggaran" class="col-sm-2 control-label">Period</label>

                                <div class="col-sm-8">
                                    <select class="form-control select2" name="periodeAnggaran" id="periodeAnggaran" style="width: 100%;">
                                        <option th:each="data : ${listPeriodeAnggaran}"
                                                th:selected="(${data} == *{priodeAnggaranSelected})"
                                                th:text="${'('+ data.kodePeriodeAnggaran +')'  + '       -       ' +  data.namaPeriodeAnggaran}"
                                                th:value="${data.id}">sdasd</option>
                                    </select>
                                </div>

                                <div class="col-sm-2">
                                    <button type="submit" class="btn btn-default">Search</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="box-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="col-md-3">
                                <div class="info-box bg-blue">
                                    <span class="info-box-icon"><i class="fa fa-bookmark-o"></i></span>
                                    <div class="info-box-content">
                                        <span class="info-box-text">Total Pagu</span>
                                        <span class="info-box-number" th:text="${'Rp. ' + #numbers.formatDecimal(totalPaguAnggaran, 0, 'POINT', 2, 'COMMA')}">41,410</span>
                                        <div class="progress">
                                            <div class="progress-bar" style="width: 70%"></div>
                                        </div>
                                        <a sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_WAREK2')" th:href="@{/setting/paguanggaran}" class="small-box-footer">
                                            Details
                                            <i class="fa fa-arrow-circle-right"></i></a>
                                    </div>
                                    <!-- /.info-box-content -->
                                </div>
                                <!-- /.info-box -->
                            </div>

                            <div class="col-md-3">
                                <div class="info-box bg-aqua">
                                    <span class="info-box-icon"><i class="fa fa-bookmark-o"></i></span>
                                    <div class="info-box-content">
                                        <span class="info-box-text">Budgeted Expenses</span>
                                        <span class="info-box-number" th:text="${'Rp. ' + #numbers.formatDecimal(totalAnggaranPeriode, 0, 'POINT', 2, 'COMMA')}">41,410</span>
                                        <div class="progress">
                                            <div class="progress-bar" style="width: 70%"></div>
                                        </div>
                                        <a th:href="@{/setting/anggaran}" class="small-box-footer">
                                            Details
                                            <i class="fa fa-arrow-circle-right"></i></a>

                                    </div>
                                    <!-- /.info-box-content -->
                                </div>
                                <!-- /.info-box -->
                            </div>
                            <!-- ./col -->

                            <div class="col-md-3">
                                <div class="info-box bg-green">
                                    <span class="info-box-icon"><i class="fa fa-bookmark-o"></i></span>
                                    <div class="info-box-content">
                                        <span class="info-box-text">Budgeted Revenues</span>
                                        <span class="info-box-number" th:text="${'Rp. ' + #numbers.formatDecimal(totalPenerimaanPeriode, 0, 'POINT', 2, 'COMMA')}">41,410</span>
                                        <div class="progress">
                                            <div class="progress-bar" style="width: 70%"></div>
                                        </div>
                                        <a sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_WAREK2')" th:href="@{/setting/penerimaan}" class="small-box-footer">
                                            Details
                                            <i class="fa fa-arrow-circle-right"></i></a>

                                    </div>
                                    <!-- /.info-box-content -->
                                </div>
                                <!-- /.info-box -->
                            </div>


                            <div class="col-md-3">
                                <div class="info-box bg-yellow">
                                    <span class="info-box-icon"><i class="fa fa-bookmark-o"></i></span>
                                    <div class="info-box-content">
                                        <span class="info-box-text">Realized Expenses</span>
                                        <span class="info-box-number" th:text="${'Rp. ' + #numbers.formatDecimal(totalPengajuanDana, 0, 'POINT', 2, 'COMMA')}">41,410</span>
                                        <div class="progress">
                                            <div class="progress-bar" style="width: 70%"></div>
                                        </div>
                                        <a sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_WAREK2')" th:href="@{/reports/detail/transaksi(periodeAnggaran = ${priodeAnggaranSelected.getId()})}" class="small-box-footer">
                                            Details
                                            <i class="fa fa-arrow-circle-right"></i></a>
                                    </div>
                                    <!-- /.info-box-content -->
                                </div>
                                <!-- /.info-box -->
                            </div>
                            <!-- ./col -->
                            <div class="col-md-3">
                                <div class="info-box bg-fuchsia">
                                    <span class="info-box-icon"><i class="fa fa-bookmark-o"></i></span>
                                    <div class="info-box-content">
                                        <span class="info-box-text">Realized Revenues</span>
                                        <span class="info-box-number" th:text="${'Rp. ' + #numbers.formatDecimal(totalPenerimaanReale, 0, 'POINT', 2, 'COMMA')}">41,410</span>
                                        <div class="progress">
                                            <div class="progress-bar" style="width: 70%"></div>
                                        </div>
                                        <a sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_WAREK2')" th:href="@{/reports/revenues/balance (periodeAnggaran = ${priodeAnggaranSelected.getId()})}" class="small-box-footer">
                                            Details
                                            <i class="fa fa-arrow-circle-right"></i></a>
                                    </div>
                                    <!-- /.info-box-content -->
                                </div>
                                <!-- /.info-box -->
                            </div>
                            <!-- ./col -->
                            <div class="col-md-3">
                                <div class="info-box bg-red">
                                    <span class="info-box-icon"><i class="fa fa-bookmark-o"></i></span>
                                    <div class="info-box-content">
                                        <span class="info-box-text">Budget Balance</span>
                                        <span class="info-box-number" th:text="${'Rp. ' + #numbers.formatDecimal(totalBalance, 0, 'POINT', 2, 'COMMA')}">41,410</span>
                                        <div class="progress">
                                            <div class="progress-bar" style="width: 70%"></div>
                                        </div>
                                            <a th:href="@{/reports/dailycash/home (periodeAnggaran=${priodeAnggaranSelected.getId()})}" class="small-box-footer">
                                            Details
                                            <i class="fa fa-arrow-circle-right"></i></a>
                                    </div>
                                    <!-- /.info-box-content -->
                                </div>
                                <!-- /.info-box -->
                            </div>


                            <!-- ./col -->

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">



    <!-- Morris.js charts -->
    <script th:src="@{/bower_components/raphael/raphael.min.js}"></script>
    <script th:src="@{/bower_components/morris.js/morris.min.js}"></script>
    <!-- Sparkline -->
    <script th:src="@{/bower_components/jquery-sparkline/dist/jquery.sparkline.min.js}"></script>
    <!-- jvectormap -->
    <script th:src="@{/plugins/jvectormap/jquery-jvectormap-1.2.2.min.js}"></script>
    <script th:src="@{/plugins/jvectormap/jquery-jvectormap-world-mill-en.js}"></script>
    <!-- jQuery Knob Chart -->
    <script th:src="@{/bower_components/jquery-knob/dist/jquery.knob.min.js}"></script>
    <!-- daterangepicker -->
    <script th:src="@{/bower_components/moment/min/moment.min.js}"></script>
    <script th:src="@{/bower_components/bootstrap-daterangepicker/daterangepicker.js}"></script>
    <!-- datepicker -->
    <script th:src="@{/bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js}"></script>
    <!-- Bootstrap WYSIHTML5 -->
    <script th:src="@{/plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js}"></script>
    <!-- Slimscroll -->
    <script th:src="@{/bower_components/jquery-slimscroll/jquery.slimscroll.min.js}"></script>
    <!-- FastClick -->
    <script th:src="@{/bower_components/fastclick/lib/fastclick.js}"></script>
    <!-- AdminLTE dashboard demo (This is only for demo purposes) -->
    <script th:src="@{/dist/js/pages/dashboard.js}"></script>
    <!-- AdminLTE for demo purposes -->
    <script th:src="@{/dist/js/demo.js}"></script>

</section>
</body>
</html>